<script lang="ts">
export default {
    name: "equipment",
};
</script>

<script setup lang="ts">
import { ref, onMounted, nextTick } from "vue";
import {
    getTreeData,
    getdata,
    addMain,
    editMain,
    addCom,
    editCom,
    Mainchange,
    comchange,
    delMainData,
    delComData,
    addFile,
} from "@/api/equipment";

import { getTreefirst } from "@/api/device";
import { getmaintype } from "@/api/makeTask";
import { ElMessageBox, ElMessage } from "element-plus";
import { useAppStore } from '@/store/modules/app';
import Eldialog from '@/components/seccmsdialog/eldialog.vue';
//左侧树形控件
interface Tree {
    [x: string]: any;
    label: string;
    children?: Tree[];
}
const defaultProps = {
    children: "children",
    label: "name"
};
const treedata: any = ref([]);
const treeRef = ref();
const treeloading = ref(true)
const currentNodeKey = ref("")
//获取企业树形信息
//获取企业树形信息
const value = ref()
const optionSelect = ref()
function getSelect() {
    getTreefirst().then((res: any) => {
        if (res.code == 0) {
            optionSelect.value = res.data
            value.value = res.data[0].stationName
            getTree(res.data[0].stationId)

        }

    })
}
function getTree(val: any) {

    const params = {
        stationId: val
    }
    getTreeData(params).then((res: any) => {
        if (res.data.length == 0) {
            tableData.value = []
        }
        treedata.value = res.data
        // treedata.value = res.data
        treeloading.value = false
        orgId.value = res.data[0].children[0].children[0].bayId
        loading.value = true
        Maindata.value = res.data[0].children[0].children[0]
        getData()
        nextTick(() => {
            treeRef.value?.setCurrentKey(orgId.value);
        });
    })
        .catch((error: any) => {
            treeloading.value = false
        })

}
// 导航树点击事件
function handleNodeClick(data: any, node: any) {
    if (data.children) {
        node.isCurrent = false
        currentNodeKey.value = ""
        nextTick(() => {
            currentNodeKey.value = orgId.value
        })

    } else {
        loading.value = true
        Maindata.value = data
        orgId.value = data.bayId;
        getData()
    }
}
// 右侧表格
const orgId = ref("");
const menuname = ref('')
const tableData: any = ref([])
const loading = ref(false)

function getData() {
    loading.value = true
    const params = {
        bayId: orgId.value,
        name: menuname.value
    }

    getdata(params).then((res) => {
        tableData.value = res.data
        loading.value = false
        recurrence(tableData.value)
    })
}
// 增加ID
function recurrence(arr: any) {
    for (var i = 0; i < arr.length; i++) {
        arr[i]['id'] = i
        if (arr[i].children) {
            for (var j = 0; j < arr[i].children.length; j++) {
                arr[i].children[j]['id'] = '0' + i + j
                if (arr[i].children[j].children) {
                    for (var k = 0; k < arr[i].children[j].children.length; k++) {
                        arr[i].children[j].children[k]['id'] = '00' + i + j + k
                    }
                }
            }

        }
    }
}
//状态改变
function switchChange(row: any) {
    if (row.datastatus == '0') {
        elMessage.value = "确定停用该" + row.type + "吗？"
    } else if (row.datastatus == '1') {
        elMessage.value = "确定启用该" + row.type + "吗？"
    }
    ElMessageBox.confirm(elMessage.value, "提示信息", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
    })
        .then(() => {
            if (row.type == '主设备') {
                let params = {
                    dataStatus: row.datastatus,
                    id: row.mainDeviceId,
                };

                Mainchange(params).then((res: any) => {
                    if (res.code == 0) {
                        getData()
                        ElMessage({
                            type: "success",
                            message: "改变成功",
                        });
                    }

                });
            } else if (row.type == '部件') {
                let params = {
                    componentId: row.componentId,
                    dataStatus: row.datastatus,
                };

                comchange(params).then((res: any) => {
                    if (res.code == 0) {
                        getData()
                        ElMessage({
                            type: "success",
                            message: "改变成功",
                        });
                    }

                });
            }
        }).catch(() => {
            getData();
        });
}
//删除
const elMessage = ref('')
function handleDelete(row: any) {
    if (row.datastatus != 0) {
        ElMessage({
            type: "warning",
            message: "启用状态下无法删除",
        });
        return false
    }
    elMessage.value = '确定删除此' + row.type + '吗？'
    ElMessageBox.confirm(elMessage.value, "提示信息", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
    })
        .then(() => {
            if (row.type == '主设备') {
                const params = {
                    id: row.mainDeviceId
                }
                delMainData(params).then((res: any) => {
                    if (res.code == 0) {
                        getData()
                        ElMessage({
                            message: '删除成功',
                            type: 'success',
                        })
                    }
                })
            } else if (row.type == '部件') {
                const params = {
                    componentId: row.componentId
                }
                delComData(params).then((res: any) => {
                    if (res.code == 0) {
                        getData()
                        ElMessage({
                            message: '删除成功',
                            type: 'success',
                        })
                    }

                })
            }
        })
}

//弹窗
// 主设备
const Maininfo: any = ref({
    stationName: '',
    stationCode: '',
    areaName: '',
    bayName: '',
    deviceType: '',
    mainDeviceName: '',
    materialId: '',
})
const Maindata: any = ref({})
const dialogMain = ref(false)
const title = ref('')
const MainFlorm = ref()
const Mainrules = ref({
    mainDeviceName: [
        { required: true, message: '请输入主设备名称', trigger: 'blur' },
        { validator: stringlength, trigger: 'blur' }
    ],
    materialId: [
        { validator: stringlength1, trigger: 'blur' }
    ],
    deviceType: [
        { required: true, message: '请选择主设备类型', trigger: 'blur' }
    ],
})
//区域名称长度
function stringlength(rule: any, value: any, callback: any) {
    if (value.length > 50) {
        return callback(new Error('字符最大长度不超过50'))
    }
    callback()
}
function stringlength1(rule: any, value: any, callback: any) {
    if (!value) { //所以当没有值的时候，我们直接callback，让他不校验直接执行下一步
        return callback()
    } else {
        if (value.length > 20) {
            return callback(new Error('字符最大长度不超过20'))
        }
        callback()
    }
}
//新增主设备
function addClick() {
    Maininfo.value = {
        stationName: Maindata.value.stationName,
        stationCode: Maindata.value.stationCode,
        areaName: Maindata.value.areaName,
        areaId: Maindata.value.areaId,
        bayName: Maindata.value.name,
        bayId: Maindata.value.bayId,
        deviceType: '',
        mainDeviceName: '',
        materialId: '',

    }
    title.value = '新增主设备'
    dialogMain.value = true
}
//修改设备 || 部件
function handleEdit(row: any) {
    if (row.type == '主设备') {
        visible()
        const MainToinfo = JSON.parse(JSON.stringify(row))
        Maininfo.value = MainToinfo
        Maininfo.value.lastmodifydate = ''
        dialogMain.value = true
        title.value = '修改主设备'
        delete Maininfo.value.children
        options.value.avlue.forEach((element: any) => {
            if (row.deviceType == element.itemcode) {
                row.deviceType = element.dictname
            }
        });
    } else if (row.type == '部件') {
        const MainToinfo = JSON.parse(JSON.stringify(row))
        cominfo.value = MainToinfo
        cominfo.value.lastmodifydate = ''
        dialogcom.value = true
        title.value = '修改主部件'
    }


}
//主设备类型
const options: any = ref([])
function visible() {
    getmaintype().then((res) => {
        options.value = res.data
    })
}
// 主设备弹窗
function IntervalClick(formEl: any) {
    formEl.validate((valid: any) => {
        if (valid) {
            if (Maininfo.value.mainDeviceId) {
                editMain(Maininfo.value).then((item: any) => {
                    if (item.code == 0) {
                        getData()
                        ElMessage({
                            message: '修改成功',
                            type: 'success',
                        })
                        dialogMain.value = false;
                        loading.value = true
                    }

                });
            } else {
                addMain(Maininfo.value).then((res: any) => {
                    if (res.code == 0) {
                        dialogMain.value = false
                        loading.value = true
                        getData()
                        ElMessage({
                            message: '增加成功',
                            type: 'success',
                        })
                    }

                    // dialogInterval.value = false;
                })
            }

        }
    })
}

//部件
const dialogcom = ref(false)
const comFlorm = ref()
const cominfo: any = ref({
    stationName: '',
    stationCode: '',
    areaName: '',
    mainDeviceName: '',
    componentName: '',
    materialId: ''
})
const comrules = ref({
    componentName: [
        { required: true, message: '请输入部件名称', trigger: 'blur' },
        { validator: stringlength, trigger: 'blur' }
    ],
    materialId: [
        { validator: stringlength1, trigger: 'blur' }
    ],

})
//新增部件
function menuclick(row: any) {
    if (row.type != '主设备') {
        ElMessage({
            type: "warning",
            message: "主设备可新增部件",
        });
        return false
    }
    dialogcom.value = true
    title.value = "新增部件"
    cominfo.value = {
        stationName: row.stationName,
        stationCode: row.stationCode,
        areaName: row.areaName,
        areaId: row.areaId,
        bayName: row.bayName,
        bayId: row.bayId,
        mainDeviceName: row.mainDeviceName,
        mainDeviceId: row.mainDeviceId,
        deviceType: row.deviceType,
        componentName: '',
        materialId: ''
    }
}
// 部件弹窗-部件弹窗-确定
function comClick(formEl: any) {
    formEl.validate((valid: any) => {
        if (valid) {
            if (cominfo.value.componentId) {
                editCom(cominfo.value).then((item: any) => {
                    if (item.code == 0) {
                        getData()
                        ElMessage({
                            message: '修改成功',
                            type: 'success',
                        })
                        dialogcom.value = false;
                        loading.value = true
                    }
                });
            } else {
                addCom(cominfo.value).then((res: any) => {
                    if (res.code == '0') {
                        dialogcom.value = false
                        loading.value = true
                        getData()
                        ElMessage({
                            message: '增加成功',
                            type: 'success',
                        })
                    }

                })
            }

        }
    })
}

//弹窗关闭
function handleClose() {
    if (MainFlorm.value != null) MainFlorm.value.resetFields();
    if (comFlorm.value != null) comFlorm.value.resetFields();
    dialogMain.value = false
    dialogcom.value = false
}
//获取用户列表信息
onMounted(() => {
    getSelect()
});

//上传文件
const type = ref('')
function importclick(row: any) {
    type.value = row
    const avatar = document.getElementById('avatar');
    avatar?.click();
}
function changeFiless(e: any) {
    loading.value = true
    const files = new FormData()
    files.append('file', e.target.files[0])
    files.append('type', type.value)
    // files.append('id', orgId.value)
    addFile(files).then((res: any) => {
        if (res.code != 1) {
            getData()
            ElMessage({
                type: 'success',
                message: '上传成功',
            })

        }
        loading.value = false
        var file: any = document.getElementById('avatar');
        file.value = '';

    }).catch(() => {
        ElMessage({
            type: 'error',
            message: '上传失败',
        })
        var file: any = document.getElementById('avatar');
        file.value = '';
    });
}
//时间转换
function dateFormat(row: any) {
    const daterc = row;
    if (daterc != null) {
        var date = new Date(daterc);
        var year = date.getFullYear();
        var month = date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1;
        date.getMonth() + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
        var day = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
        var hours = date.getHours() < 10 ? "0" + date.getHours() : date.getHours();
        var minutes = date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes();
        var seconds = date.getSeconds() < 10 ? "0" + date.getSeconds() : date.getSeconds();
        // 拼接
        return year + "-" + month + "-" + day + " " + hours + ":" + minutes + ":" + seconds;
    }
}
const vMove = {
    mounted(el: any) {
        el.onmousedown = function (e: any) {
            var init = e.clientX;
            var parent: any = document.getElementById("silderLeft");
            const initWidth: any = parent.offsetWidth;
            document.onmousemove = function (e) {
                var end = e.clientX;
                var newWidth = end - init + initWidth;
                parent.style.width = newWidth + "px";
            };
            document.onmouseup = function () {
                document.onmousemove = document.onmouseup = null;
            };
        };
    }
}

//控制行变色
const tableRowClassName = ({
    row,
    rowIndex,
}: {
    row: any
    rowIndex: number
}) => {
    if (rowIndex % 2 === 0) {
        return 'warning-row'
    } else if (rowIndex % 2 === 1) {
        return 'success-row'
    }
    return ''
}
</script>

<template>
    <div style="height: 15px;"></div>
    <div class="faulttemplate-box">
        <!-- 主设备 -->
        <!-- <div class="custom2" v-if="dialogMain == true || dialogcom == true">
            <div class="custom2-back" v-drag>
                <div class="custom2-close" @click="handleClose">x</div>
                <div class="custom2-title">{{ title }}</div>


            </div>
        </div> -->

        <Eldialog v-if="dialogMain" :title="title" :zIndex="2000" :width="'600px'" :height="'600px'" 
            @before-close="handleClose">
            <template v-slot:PopFrameContent>
                <el-form ref="MainFlorm" :model="Maininfo" label-width="90px" :rules="Mainrules" style="margin-top:15px;">
                    <el-form-item label="所属变电站">
                        <el-input v-model="Maininfo.stationName" style="width: 95%" disabled></el-input>
                    </el-form-item>
                    <el-form-item label="变电站编号">
                        <el-input v-model="Maininfo.stationCode" style="width: 95%" disabled></el-input>
                    </el-form-item>
                    <el-form-item label="所属区域">
                        <el-input v-model="Maininfo.areaName" style="width: 95%" disabled></el-input>
                    </el-form-item>
                    <el-form-item label="主设备名称" prop="mainDeviceName">
                        <el-input v-model="Maininfo.mainDeviceName" style="width: 95%" placeholder="请输入主设备名称"> </el-input>
                    </el-form-item>
                    <el-form-item label="实物ID" prop="materialId">
                        <el-input v-model="Maininfo.materialId" style="width: 95%" placeholder="请输入实物Id"> </el-input>
                    </el-form-item>
                    <el-form-item label="主设备类型" prop="deviceType">
                        <el-select v-model="Maininfo.deviceType" placeholder=" " @visible-change="visible"
                            style="width: 95%;">
                            <el-option v-for="item in options" :key="item.id" :label="item.dictname"
                                :value="item.itemcode" />
                        </el-select>
                    </el-form-item>
                </el-form>
                <span class="dialog-footer"
                    style="display: flex;display: -webkit-flex; justify-content: center;-webkit-justify-content: center;margin:10px 0px  ;">
                    <div class="details-button" @click="handleClose">取消</div>
                    <div class="details-button" @click="IntervalClick(MainFlorm)">确定</div>
                </span>
            </template>
        </Eldialog>
        <Eldialog v-if="dialogcom" :title="title" :zIndex="2000" :width="'600px'" :height="'600px'" 
            @before-close="handleClose">
            <template v-slot:PopFrameContent>
                <el-form ref="comFlorm" :model="cominfo" label-width="90px" :rules="comrules" style="margin-top:15px;">
                    <el-form-item label="所属变电站">
                        <el-input v-model="cominfo.stationName" style="width: 95%" disabled></el-input>
                    </el-form-item>
                    <el-form-item label="变电站编号">
                        <el-input v-model="cominfo.stationCode" style="width: 95%" disabled></el-input>
                    </el-form-item>
                    <el-form-item label="所属区域">
                        <el-input v-model="cominfo.areaName" style="width: 95%" disabled></el-input>
                    </el-form-item>
                    <el-form-item label="主设备名称">
                        <el-input v-model="cominfo.mainDeviceName" style="width: 95%" disabled> </el-input>
                    </el-form-item>
                    <el-form-item label="部件名称" prop="componentName">
                        <el-input v-model="cominfo.componentName" style="width: 95%" placeholder="请输入部件名称"> </el-input>
                    </el-form-item>
                    <el-form-item label="实物ID" prop="materialId">
                        <el-input v-model="cominfo.materialId" style="width: 95%" placeholder="请输入实物Id"> </el-input>
                    </el-form-item>
                </el-form>
                <span class="dialog-footer"
                    style="display: flex;display: -webkit-flex; justify-content: center;-webkit-justify-content: center;margin:10px 0px;">
                    <div class="details-button" @click="handleClose">取消</div>
                    <div class="details-button" @click="comClick(comFlorm)">确定</div>
                </span>
            </template>
        </Eldialog>
        <aside id="silderLeft">
            <div class="displayflex" style="margin: 5px 0px 5px 0px;padding-left: 8px;height: 30px;">
                <!-- <div class="line"></div> -->
                <div class="title">数据列表</div>
            </div>
            <!-- <div><img src="@/assets/images/u292.png" alt=""></div> -->
            <el-select v-model="value" placeholder=""
                style="width: 100% ; padding:5px;margin-top:15px; display: flex; justify-content: center" @change="getTree">
                <el-option v-for="item in optionSelect" :key="item.stationId" :label="item.stationName"
                    :value="item.stationId" style="width:100%" />
            </el-select>
            <el-scrollbar height="calc(80vh)" style="width:99%;">
                <el-tree ref="treeRef" :class="useAppStore().size === 'default' ? 'silderLeft-large' : 'silderLeft-default'"
                    node-key="bayId" :data="treedata" :current-node-key="currentNodeKey" :highlight-current="true"
                    :props="defaultProps" v-loading="treeloading" @node-click="handleNodeClick">
                    <template #default="{ node }">
                        <span>{{ node.label }}</span><span v-if="node.data.count > 0 || node.data.count == 0">({{
                            node.data.count }})</span>
                    </template>
                </el-tree>
            </el-scrollbar>
            <div class="moveBtn" v-move>
                <div class="moveBtn-line" v-move></div>
            </div>
        </aside>
        <section class="silderRight">
            <div
                style="display: flex;display: -webkit-flex; justify-content: space-between; -webkit-justify-content: space-between; align-items: center;  margin:15px 0px">
                <div style="display: flex;display: -webkit-flex;align-items: center;">
                    <el-input v-model="menuname" placeholder="请输入名称" clearable style="width:200px;margin-right:10px"
                        @clear="getData()" @keyup.enter="getData()" />
                    <el-button class="searchButton" type="primary" @click="getData()">搜索</el-button>
                </div>
                <div>
                    <el-button class="searchButton" v-hasPerm="['add:maindevice']" type="primary" @click="addClick"
                        :disabled="treedata.length == 0">
                        新增主设备</el-button>
                    <el-button class="searchButton" type="primary" @click="importclick('01')">
                       导入主设备</el-button>
                    <el-button class="searchButton" type="primary" @click="importclick('02')">
                       导入部件</el-button>
                    <input type="file" id="avatar" style="display:none" @change="changeFiless">

                </div>
            </div>
            <!-- <div class="draggable1"> -->
            <el-table v-loading="loading" ref="multipleTable" :data="tableData" default-expand-all tooltip-effect="dark"
                style="width: 100%;height: calc(82vh)" row-key="id" :row-class-name="tableRowClassName"
                :header-cell-style="{ background: '#002b6a', color: '#B5D7FF', height: '50px'}">
                <el-table-column label="名称" show-overflow-tooltip>
                    <template #default="scope">
                        <span v-if="scope.row.type == '主设备'">{{ scope.row.mainDeviceName }}({{ scope.row.count
                        }})</span>
                        <span v-else-if="scope.row.type == '部件'">{{ scope.row.componentName }}</span>
                    </template>
                </el-table-column>
                <el-table-column label="类型" prop="type" width="100px" show-overflow-tooltip>
                </el-table-column>
                <el-table-column label="状态" prop="datastatus" width="120" show-overflow-tooltip>
                    <template #default="scope">
                        <el-switch v-model="scope.row.datastatus" active-value="1" inactive-value="0"
                            @change="switchChange(scope.row)" style="margin-right: 4px"></el-switch>
                        <span v-if="scope.row.datastatus == 1" class="effective">启用</span>
                        <span v-else style="color: #d7d7d7">停用</span>
                    </template>
                </el-table-column>
                <el-table-column prop="lastmodifier" label="最近修改者" width="120"></el-table-column>
                <el-table-column prop="lastmodifydate" label="最近修改时间" width="200">
                    <template #default="scope">
                        {{ dateFormat(scope.row.lastmodifydate) }}
                    </template>
                </el-table-column>
                <el-table-column label="操作" width="120" fixed="right" align="center"
                    style="display: flex; display: -webkit-flex;">
                    <template #default="scope">

                        <span
                            style="display: flex;display: -webkit-flex; justify-content: space-around;-webkit-justify-content: space-around; ">
                            <img v-hasPerm="['update:maindevice']" src="@/assets/newimg/ht_xg.png" alt="" title="修改"
                                @click="handleEdit(scope.row)" style="cursor: pointer;">
                            <img v-hasPerm="['add:maindevice']" src="@/assets/newimg/ht_bj.png" alt=""
                                v-if="scope.row.type == '主设备'" title="新增部件" @click="menuclick(scope.row)"
                                style="cursor: pointer;">
                            <img v-hasPerm="['add:maindevice']" src="@/assets/newimg/ht_bj1.png" alt="" v-else title="新增部件"
                                style="cursor: pointer;">
                            <img v-hasPerm="['del:maindevice']" src="@/assets/newimg/ht_sc.png" alt=""
                                v-if="scope.row.datastatus == 0" title="删除" @click="handleDelete(scope.row)"
                                style="cursor: pointer; ">
                            <img v-hasPerm="['del:maindevice']" src="@/assets/newimg/ht_sc1.png" alt=""
                                v-else="scope.row.datastatus == 0" title="删除" style="cursor: pointer; ">
                        </span>
                    </template>
                </el-table-column>
            </el-table>
            <!-- </div> -->
        </section>
    </div>
</template>

<style scoped lang="scss">
.tablebtn {
    padding: 0px 5px;
    border: 1px solid #009BFF;
    color: #009BFF;
    font-size: 12px;
    cursor: pointer;
}

.tablebtn:hover {
    padding: 0px 5px;
    border: 1px solid #009BFF;
    color: #009BFF;
    font-size: 12px;
    cursor: pointer;
    background-color: #0099ff3d;
}

.silderLeft-default {
    :deep(.el-tree-node__label) {
        font-size: 16px !important;
    }
}

.faulttemplate-box {
    height: 100%;
    display: flex;
    display: -webkit-flex;
    padding: 5px 20px;
    // background-color: #f2f4f9;

}

.silderRight {
    flex: 1;
    width: 99%;
    height: calc(100vh - 165px);
    overflow: auto;
    background-color: rgba(255, 255, 255, 1);
    border-radius: 3px;
    padding: 0px 15px 15px 15px;
    padding-bottom: 0px;
    box-sizing: border-box;
    margin-left: 15px;
    // background: #17212e;
    background: url(@/assets/newimg/cjrw_1890.png);
    background-size: 100% 100%;
}



.avatar {
    width: 86px;
    height: 86px;
    display: block;
}

:deep(.el-tree-node.is-current>.el-tree-node__content) {
    width: 100%;
    height: 40px;
    color: #fff !important;
}

:deep(.el-tree-node__content) {
    width: 100% !important;
    height: 40px !important;
    margin: auto !important;
}

.el-message-box {
    width: 300px !important;
}

:deep(.el-form-item__label) {
    width: 105px !important;
}

:deep(.el-tooltip__trigger) {
    width: 100%;
}

.displayflex {
    display: flex;
    align-items: center;

    .title {
        margin-top: 15px;
        text-decoration: none !important;
        font-family: "阿里妈妈数黑体 Bold";
        font-weight: 700;
        font-style: normal;
        font-size: 16px !important;
        color: rgb(255, 255, 255);
        line-height: 12px;
    }

}

:deep(.el-tree) {
    background-color: #ffffff00 !important;
    --el-tree-node-hover-bg-color: #0099ff09;
}

/* 拖动条 */
.moveBtn {
    height: 100%;
    width: 15px;
    padding: 0 6px;
    opacity: 0;
    position: absolute;
    right: -15px;
    top: 0;
}

.moveBtn-line {
    width: 100%;
    height: 100%;
    cursor: col-resize;
    user-select: none;
}

#silderLeft {
    width: 260px;
    box-sizing: border-box;
    // background: #ffffff00;
    border-radius: 3px;
    position: relative;
    background: url(@/assets/navigation/ty_260x988.png);
    background-size: 100% 100%;
    padding:0px 10px;

    &:hover {
        .moveBtn {
            opacity: 1;
        }
    }
}

// .draggable1{
//     background: url(@/assets/newimg/jcpz_260.png);
//     background-size: 100% 100%;
// }
:deep(.el-table__inner-wrapper::before) {
    background-color: #0099ff00;
}

// :deep(.el-table) {
//     --el-table-row-hover-bg-color:#1b2838bb !important;
// }
:deep(.el-table:not(.el-table--border) .el-table__cell) {
    border: none;
}





:deep(.el-input__wrapper) {
    background-color: rgba(19, 26, 37, 0);
}

:deep(.el-select:hover:not(.el-select--disabled) .el-input__wrapper) {
    box-shadow: 0 0 0 1px #009bff inset;
}

:deep(.el-select) {
    --el-select-input-focus-border-color: #009bff !important;
}
</style>


